﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using bbiwarg.Images;
using bbiwarg.Graphics;
using Emgu.CV;
using Emgu.CV.Structure;

namespace bbiwarg.Images
{
    class ConfidenceImage
    {
        public Image<Gray, Int16> Image { get; private set; }
        public Image<Gray, byte> Mask { get; private set; }

        public ConfidenceImage(Image<Gray, Int16> image)
        {
            Image = image;

            Mask = (Image.ThresholdBinary(new Gray(Constants.ConfidenceImageMinThreshold), new Gray(1))).Convert<Gray, byte>();
        }
    }
}
